BASENC(1)

NAMN
basenc — Koda/avkoda data och skriv till standard ut

SYNOPSIS
basenc [FLAGGA]... [FIL]

BESKRIVNING

Basenc-koda eller -avkoda FIL, eller standard in, till standard ut.

Utan FIL, eller när FIL är -, läs standard in.

Obligatoriska argument till långa flaggor är obligatoriska även för de korta.

--base64
    Samma som programmet ”base64” (RFC4648 avsnitt 4).

--base64url
    Fil- och url-säker base64 (RFC4648 avsnitt 5).

--base32
    Samma som programmet ”base32” (RFC4648 avsnitt 6).

--base32hex
    Utökat hexalfabet base32 (RFC4648 avsnitt 7).

--base16
    Hexkodning (RFC4648 avsnitt 8).

--base2msbf
    Bitsträng med mest signifikant bit (msb) först.

--base2lsbf
    Bitsträng med minst signifikant bit (lsb) först.

-d, --decode
    Avkoda data.

-i, --ignore-garbage
    Vid avkodning, bortse från ickealfabetiska tecken.

-w, --wrap=KOL
    Bryt kodade rader efter KOL tecken (76 som standard). Använd 0 för att slå av radbrytning.

--z85
    Ascii85-liknande kodning (ZeroMQ spec:32/Z85); vid kodning måste indatalängden vara en multipel av 4; vid avkodning måste indatalängden vara en multipel av 5.

--help
    visa denna hjälp och avsluta

--version
    visa versionsinformation och avsluta

Vid avkodning kan indata innehålla nyradstecken förutom de byte som tillhör det formella alfabetet. Använd --ignore-garbage för att försöka återhämta från tecken utanför alfabetet i den kodade strömmen.

KODNINGSEXEMPEL

    $ printf '\376\117\202' | basenc --base64
    /k+C
    $ printf '\376\117\202' | basenc --base64url
    _k-C
    $ printf '\376\117\202' | basenc --base32
    7ZHYE===
    $ printf '\376\117\202' | basenc --base32hex
    VP7O4===
    $ printf '\376\117\202' | basenc --base16
    FE4F82
    $ printf '\376\117\202' | basenc --base2lsbf
    011111111111001001000001
    $ printf '\376\117\202' | basenc --base2msbf
    111111100100111110000010
    $ printf '\376\117\202\000' | basenc --z85
    @.FaC

UPPHOVSMAN
Skrivet av Simon Josefsson och Assaf Gordon.

RAPPORTERA FEL
GNU coreutils hjälp på nätet: <https://www.gnu.org/software/coreutils/>
Rapportera anmärkningar på översättningen till <tp-sv@listor.tp-sv.se>

COPYRIGHT
Copyright © 2022 Free Software Foundation, Inc. Licens GPLv3+: GNU GPL version 3 eller senare <https://gnu.org/licenses/gpl.html>.
Detta är fri programvara: du får fritt ändra och vidaredistribuera den. Det finns INGEN GARANTI, så långt lagen tillåter.

SE ÄVEN
Fullständig dokumentation <https://www.gnu.org/software/coreutils/basenc>
eller tillgängligt lokalt via: info '(coreutils) basenc invocation'

ÖVERSÄTTNING
Den svenska översättningen av denna manualsida skapades av Göran Uddeborg <goeran@uddeborg.se>

Denna översättning är fri dokumentation; läs GNU General Public License Version 3 (https://www.gnu.org/licenses/gpl-3.0.html) eller senare för upphovsrättsvillkor. Vi tar INGET ANSVAR.

Om du hittar fel i översättningen av denna manualsida, skicka ett mail till Tp-sv@listor.tp-sv.se.